### Function

# Devhelp Link new

#### Declaration [src]

    DhLink*
    dh_link_new (
      DhLinkType type,
      DhLink* book_link,
      const gchar* name,
      const gchar* relative_url
    )

#### Description

No description available.

#### Parameters

`type`

  Type: `DhLinkType`

  The `DhLinkType`. Must be different than `DH_LINK_TYPE_BOOK`.

`book_link`

  Type: `DhLink`

  The `DhLink` of type `DH_LINK_TYPE_BOOK` for the book that the link is contained in.

  The data is owned by the caller of the function.

`name`

  Type: `const gchar*`

  The name of the link.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`relative_url`

  Type: `const gchar*`

  The URL relative to the book base path. Can contain an anchor.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DhLink`

A new `DhLink`.

The caller of the function takes ownership of the data, and is responsible for freeing it.